> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger health check for integration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/integration/{id}/health-check
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{id}/health-check:
    post:
      tags:
        - Integration
      summary: Trigger health check for integration
      operationId: IntegrationController_triggerHealthCheck
      parameters:
        - name: id
          required: true
          in: path
          description: Integration ID
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: ''
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````